
=pod

=head1 NAME

SDL::Mixer::MixChunk -- SDL Bindings for structure SDL_MixChunk

=head1 CATEGORY

Mixer, Structure

=head1 SYNOPSIS

 use SDL;
 use SDL::Mixer::MixChunk;

 my $mix_chunk = SDL::Mixer::Music::load_WAV('sample.wav');

 printf("length of audio data is %d bytes\n", $mix_chunk->alen);
 printf("volume is %d\n",                     $mix_chunk->volume);

=head1 DESCRIPTION

Stores audio data in memory.

B<Note:> It's a bad idea to free a chunk that is still being played...

=head1 METHODS

=head2 alen

length of audio data in bytes

=head2 volume

Per-sample volume, 0-128 (normally C<MIX_MAX_VOLUME> after loading)

=head1 AUTHORS

See L<SDL/AUTHORS>.

=cut
